﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.FollowUpEnqModel>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{

    <script src="~/Content/datatable/jquery.dataTables.min.js"></script>
    <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />

    <script type="text/javascript">
        $(document).ready(function () {
            var lastIdx = null;
            var table = $('#example').DataTable({
                "pageLength": 100
            });

            $('#example tbody')
                .on('mouseover', 'td', function () {
                    var colIdx = table.cell(this).index().column;

                    if (colIdx !== lastIdx) {
                        $(table.cells().nodes()).removeClass('highlight');
                        $(table.column(colIdx).nodes()).addClass('highlight');
                    }
                })
                .on('mouseleave', function () {
                    $(table.cells().nodes()).removeClass('highlight');
                });
        });
    </script>


    <style type="text/css">
        div.box div.overlay { display: none; }

        span { color: #369ECE !important; }

            span:hover { color: orangered !important; font-weight: 700; }
    </style>

    <script src="~/Scripts/HighestQuali.js"></script>

    <script type="text/javascript">
        $(function () {
            $(".box").hover(function () {
                $(this).find(".overlay").fadeIn();
            }
                            , function () {
                                $(this).find(".overlay").fadeOut();
                            }
                           );
        });
    </script>

    <script type="text/javascript">
        $(document).ready(function () {
            $("#dateofwnquiry").datepicker();
            $("#tdate").datepicker();
            //            $("button").hide();
            $("#UserList").css('width', '150px');

            $("#UserList").val($("#usrhidden").val());
        });

    </script>

    <script type="text/javascript">
        function Submit() {
            searchfun();
        }

        function searchfun() {

            var name = $("#txtname").val();
            var Score = $("#ieltsscore").val();
            var mobile = $("#txtmobile").val();
            var date = $("#dateofwnquiry").val();
            var todate = $("#tdate").val();
            var usr = $("#UserList").val();
            var rangeon = $("#rangeon").val();

            var referenceno = $("#txtreferenceno").val();
            window.location.href = "/MaEnqFollow/PendingIELTSFollowUp?name=" + name + "&&mobile=" + mobile + "&rangeon=" + rangeon + "&&dt1=" + date + "&&dt2=" + todate + "&&uid=" + usr + "&referenceno=" + referenceno + "&Score=" + Score;
            $("#UserList").val(usr);
        }

        function GetReport(vel) {
            //            var rollno = $("#txtroll").val();
            //var sttype = $("#txtstudenttype").val();
            var name = $("#txtname").val();
            var Score = $("#ieltsscore").val();
            var mobile = $("#txtmobile").val();
            var date = $("#dateofwnquiry").val();
            var todate = $("#tdate").val();
            var usr = $("#UserList").val();
            var referenceno = $("#txtreferenceno").val();
            var rangeon = $("#rangeon").val();
            window.location.href = "/MaEnqFollow/PendingIELTSFollowUp?name=" + name + "&&mobile=" + mobile + "&rangeon=" + rangeon + "&&dt1=" + date + "&&dt2=" + todate + "&&uid=" + usr + "&referenceno=" + referenceno + "&Score=" + Score + "&Print=" + vel;
        }

        $(document).ready(function () {

            $(":text").keypress(function (event) {
                //filter enter key only
                if (event.keyCode == 13) {
                    searchfun();
                }
                return true;
            });


        });
    </script>


}
@{
    SSCMvc.Models.SSCWebDBEntities1 db = new SSCMvc.Models.SSCWebDBEntities1();
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Pending List of IELTS Test Follow Up
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div style="margin-top: 40px" align="center">
    <table style="width: 850px; text-align: center">
        <tr>
            <td style="vertical-align: middle">
                <b>REFERENCE NO.</b>
            </td>
            <td style="vertical-align: middle">
                <b>Name</b>
            </td>
            <td style="vertical-align: middle">
                <b>Score</b>
            </td>
            <td style="vertical-align: middle">
                <b>Mobile</b>
            </td>
            <td>
                Range On
            </td>
            <td style="width: 120px">
                <b>From Date</b>
            </td>
            <td width="40px;"></td>
            <td style="width: 120px">
                <b>To Date</b>
            </td>
            <td width="40px;"></td>
            <td style="width: 120px">
                <b>Enquiry Handled By</b>
            </td>
            <td align="left"></td>
        </tr>
        <tr>
            <td>
                <input type="text" style="width: 120px" id="txtreferenceno" value="@ViewBag.referenceno" />
            </td>
            <td>
                <input type="text" style="width: 120px" id="txtname" value="@ViewBag.name" />
            </td>
            <td align="left">
                <select id="ieltsscore">
                    <option value="All">All</option>
                    <option value="A5">6>=</option>
                    <option value="B5"><=5.5</option>
                </select>
                <input type="hidden" value="@ViewBag.ieltsscore" id="hiddenieltsscore" />
            </td>
            <td>
                <input type="text" style="width: 120px" id="txtmobile" value="@ViewBag.mobile" />
            </td>
            <td>
                <select id="rangeon">
                    <option value="fupdt">Follow Up</option>
                    <option value="cdt">Create</option>
                    <option value="exdt">Exam Date</option>
                </select>
            </td>
            <td>
                <input id="dateofwnquiry" type="date" style="width: 120px" value="@ViewBag.dt1" />
            </td>
            <td></td>
            <td>
                <input id="tdate" type="date" style="width: 120px" value="@ViewBag.dt2" />
            </td>
            <td></td>
            <td>
                @Html.DropDownList("UserList", "All")
                <input type="hidden" id="usrhidden" value="@ViewBag.usr" />
            </td>
            <td style="vertical-align: top">
                <table>
                    <tr>
                        <td style="vertical-align: top">
                            <input type="button" value="Search" id="Searchbtn" class="btn btn-primary" onclick="Submit()" />
                        </td>
                    </tr>
                </table>
            </td>
            <td align="left" valign="top">
                <div class="dropdown">
                    <button class="btn btn-primary dropdown-toggle" type="button" data-toggle="dropdown" style="width:114px">
                        Get Report
                        <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu">
                        <li><a href="#" onclick="GetReport('PDF')">PDF</a></li>
                        <li><a href="#" onclick="GetReport('Excel')">Excel</a></li>

                    </ul>
                </div>

            </td>
        </tr>
    </table>
</div>
<div class="container-fluid">

    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @*  @Html.ActionLink("Create New", "Create")*@
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table table-striped" id="example">
                <thead>
                    <tr>
                        <th>
                            Student Type
                        </th>
                        <th>
                            REFERENCE No.
                        </th>
                        <th>
                            Name
                        </th>
                        <th>
                            Category
                        </th>
                        <th>
                            Ielts Test Date
                        </th>
                        <th>
                            Mobile
                        </th>

                        <th>
                            Overall Score
                        </th>
                        <th>
                            Next Follow Up
                        </th>
                        <th>
                            Remarks
                        </th>
                        <th>
                            Enq. Status
                        </th>

                        <th>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model)
                    {
                        <tr>
                            <td>
                                @item.StudentType
                            </td>
                            <td>
                                @item.Rollno
                            </td>
                            <td>
                                <span onmouseover="showdetail(@item.EnqId)" onmouseout="hidedetail();">  @Html.DisplayFor(modelItem => item.FirstName) @Html.DisplayFor(modelItem => item.LastName)</span>
                            </td>
                            <td>
                                @item.enqab
                            </td>
                            <td>
                                @{
                                    string walkdate = string.Format("{0:dd MMM,yyyy}", @item.ieltstestdate);
                                }
                                @walkdate
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Mobile)
                            </td>
                            <td>
                                @{
                                    int c = db.Tb_MockTest.Where(w => w.StudentId == item.AdmissionId).Count();

                                }

                                @if (c > 0)
                                {
                                    <a style="cursor:pointer" onclick="showmarks(@item.AdmissionId);">@item.overallscore</a>
                                }
                                else
                                {
                                    @item.overallscore
                                }
                            </td>
                            <td>
                                @{
                                    string nxtdate = string.Format("{0:dd MMM, yyyy}", item.nxdt);
                                }
                                @nxtdate

                            </td>

                            <td width="100px" style="overflow: hidden">

                                @{
                                    string rem = item.Remarks;
                                    if (rem != null)
                                    {
                                        if (rem.Length > 20)
                                        {
                                            string sustrg = rem.Substring(0, 20);
                                            @sustrg
                                            <br />

                                            <div class="box">
                                                <a id="remarks">Read-More...</a>
                                                <div class="overlay">
                                                    @rem.Substring(20)
                                                </div>
                                            </div>
                                        }
                                        else
                                        {
                                            @rem
                                        }
                                    }
                                }


                            </td>
                            <td>

                                @item.Status
                            </td>

                            <td>
                                <a href="/Tb_IELTSResult/edit/@item.Id" target="_blank" title="Edit"><img src="../../Content/themes/base/images/Edit.png" /></a>
                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", "Tb_IELTSResult", new { id = item.Id }, null, null)
                                @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "EnqFollow", "_IELTSCreate", "MaEnqFollow", new { id = item.Id, reftype = "IELTS", name = item.FirstName + " " + item.LastName, refno = item.Rollno, enqid = item.EnqId,stuid=item.StuId }, new { @class = "editAcBtn" }, null)
                               

                                @if (item.StudentType == "Enquiry")
                                {
                                  
                                    <a href="/MaEnquiry/Details/@item.Rollno" data-toggle="tooltip" title="Go to Enquiry" target="_blank"><img src="../../Content/themes/base/images/enquiry.png" /></a>
                                }
                                else
                                {
                                    <a href="/MaAdmission/Details/@item.AdmissionId" data-toggle="tooltip" title="Go to Admission" target="_blank"><img src="../../Content/themes/base/images/enquiry.png" /></a>
                                }
                            </td>
                        </tr>
                                    }


                </tbody>
            </table>
        </div>

        @*<div id="editDialog" title="Add IELTS Test Follow Up" style="width:850px">
        </div>*@
    </div>
</div>

<div class="modal fade" id="markspopup" tabindex="-1" style="width:900px"  aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                Marks
            </div>
            <div class="modal-body" id="mbody" >
                
            </div>
            <div class="modal-footer">

               
                    <input type="hidden" id="sid" name="sid" />
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                
            </div>

        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>

<script>

    function showmarks(stuid) {

        $.ajax({
            url: '/Tb_mocktest/AllTestofStudent/',
            type: 'POST',
            data: {id:stuid},
            dataType: "html",
            success: function (grid) {
                $("#mbody").html(grid);
                $("#markspopup").modal('show');
            }
        });
    }

  
    
</script>